<?php
require "header.php";
$admin = true;
require "authenticatie.php";
include $_SERVER["DOCUMENT_ROOT"]."/editor/fckeditor.php";

if ($_POST["verzend"]) {

	$sql = "SELECT achternaam, tussenvoegsel, voorletters, geslacht, Email_prive FROM Klant LIMIT 0,1";
	$resultaat  = mysql_query($sql); // voer SQL code uit
	if (mysql_num_rows($resultaat) > 0) {
		echo "<p><div class=\"big\">Verstuur mail</div><br>";

		// start maken nieuwsbrief

		require("phpmailer/class.phpmailer.php");

		$mail = new PHPMailer();

		$mail->From     = "burger@leer-php.nl";
		$mail->FromName = "Arjan Burger";
		$mail->Subject	= $_POST["onderwerp"];

		while (list($achternaam, $tussenvoegsel, $voorletters, $geslacht, $email) = mysql_fetch_row($resultaat)) {

			// nieuwe nieuwsbrief

			$inhoud = $_POST["nieuwsbrief"];	

			// vervang velden
			if ($geslacht == "m") {
				$aanhef = "heer";
			} else {
				$aanhef = "mevrouw";
			}
			$inhoud = ereg_replace("{achternaam}", $achternaam, $inhoud);
			$inhoud = ereg_replace("{tussenvoegsel}", $tussenvoegsel, $inhoud);
			$inhoud = ereg_replace("{aanhef}", $aanhef, $inhoud);
			$datum = date("d-m-Y", time());
			$inhoud = ereg_replace("{datum}", $datum, $inhoud);


			$body = "<html><head><title>".$_POST["onderwerp"]."</title><body>$inhoud</body></html>";

			$plain= str_replace("<br />\n", "\n", $body);
			$plain= stripslashes($plain);

			$mail->Body    = $body;
			$mail->AltBody = $plain;

			$geadresseerde = $voorletters;
			if ($tussenvoegsel) {
				$geadresseerde .= $tussenvoegsel;
			}
			$geadresseerde .= $achternaam;

			$mail->AddAddress($email, $geadresseerde);

			// versturen
			if(!$mail->Send())
				echo "De mail is niet goed verstuurd!<br>";

			// Wis de mailadressen weer
			$mail->ClearAddresses();

		}

		echo "Er zijn ".mysql_num_rows($resultaat)." mails verstuurd.";
	}

} else {

	echo "<p><div class=\"big\">Nieuwsbrief versturen</div><br>";
	echo "<form method=\"POST\" action=\"".$_SERVER["PHP_SELF"]."\">";
	echo "Onderwerp: <input type=\"text\" name=\"onderwerp\"><br />";
	$oFCKeditor = new FCKeditor('nieuwsbrief') ;
	$oFCKeditor->BasePath	= "/editor/"; // het pad naar de editor
	$oFCKeditor->Value		= 'Type hier uw nieuwsbrief';
	$oFCKeditor->ToolbarSet = 'Default';
	$oFCKeditor->Height		= '300';
	$oFCKeditor->Width		= '100%';
	$oFCKeditor->Create();
	echo "<input type=\"submit\" name=\"verzend\" value=\"verzend\"></form>";

}


require "footer.php";

?>
